Subject: Re: [PATCH iproute2 net-next] bridge: vlan: add support to display per-vlan statistics

From: Stephen Hemminger <[email-masked]>
Date: Thu, 30 Jun 2016 17:06:59 -0700

On Tue, 21 Jun 2016 18:11:59 +0200
Nikolay Aleksandrov <[email-masked]> wrote:

> >> Thanks, this is a useful tool, but I think the formatting of output may need to be
> >> reworked.  The bridge tool works similar to ip command. And in the ip command the
> >> -s flag causes additional lines, but does not change the output format.  
> > 
> > Indeed, I agree that it needs refinement.
> >   
> 
> Or alternatively I can make it:
> $ bridge vlan stats
> a subcommand instead of using the "-s" argument in order to be consistent.
> So it can have its own format.

Why not:

$ bridge -s vlan show

to be consistent with:

$ ip -s li show